Name: kernel-source-qvm86
Version: 20050904
Release: alt1

Summary: QEMU x86 virtualization module
License: GPL
Group: Development/Kernel

URL: http://savannah.nongnu.org/projects/qvm86/

# :pserver:anonymous@cvs.savannah.nongnu.org:/sources/qvm86 qvm86
Source: qvm86-%version.tar.bz2

# http://blog.gmane.org/gmane.comp.emulators.qemu.qvm86
Patch0: qvm86-20050904-kqemu_version-0x010300.patch

BuildArch: noarch

%description
qvm86 is a kernel module to provide x86 virtualisation capabilities for the
qemu emulator. Virtualisation allows "emulated" code to be run natively on
the host cpu, using the CPU protection mechanisms to intercept and emulate
priveleged events.

%prep
%setup -q -n qvm86-%version
%patch0 -p1

%install
rm -rf %buildroot%_usrsrc/kernel/sources
mkdir -p %buildroot%_usrsrc/kernel/sources
cp -a . %buildroot%_usrsrc/kernel/sources/%name-%version
cd %buildroot%_usrsrc/kernel/sources
tar --remove-files -jcf %name-%version.tar.bz2 %name-%version

%files
%_usrsrc/kernel/sources/%name-%version.tar.bz2

%changelog
* Tue Aug 08 2006 Alexey Tourbin <at@altlinux.ru> 20050904-alt1
- initial revision
